2019-11-17 15:46 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003073Kefrens_DesertDream[All Projects] Generalpublic2017-12-20 23:36
Reporterschneidas 
Assigned ToStingRayProject InfoDesert Dream (Kefrens)
http://www.whdload.de/demos/Kefrens_DesertDream.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0003073: If you run the demo, it runs the first part of this great demo correctly.
DescriptionGameVersion: english,pal,2 disks
SlaveVersion: 1.0 from 20.05.2000

If you run the demo, it runs the first part of this great demo correctly.
However, it freezes at the end of "PART 1" when the demo says "the end of part I" - "please insert disk 2".
It freezes right there and "PART 2" of the demo never gets played.
This happens every time.
TagsNo tags attached.
MachineA1200
CPU68030
CPUSpeed50
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem128 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoft40 - Kick 3.1
WHDLoad17.1
importedyes
Attached Files

-Relationships
has duplicate 0003734closedStingRay Demo locks up at "Change disk" screen. 
+Relationships

-Notes

note ~0004082

StingRay (developer)

I am working on a new Desert Dream patch for quite some time already. All these problems will be fixed!

note ~0004084

Blackwine (developer)

Thanks Sting for taking care of this slave. This iconic demo deserves good treatment. I'll be glad if you keep me in credit list somewhere. If you need any support let me know.

However, I cannot reproduce this exact problem on very similar hardware (A1200 P5 Blizzard 1230IV 64M fast RAM).

note ~0005951

Akira (reporter)

I think at the current slave state, this does not happen on a 030 setup, but I had it happening on my CD32 with TF-328 and my A600 with ACA620
Read: http://mantis.whdload.de/view.php?id=3734

note ~0005952

StingRay (developer)

I have redone the complete patch and tested it on 030, 040 and 060. No problems with disk change.

note ~0005953

Akira (reporter)

Let me know if you want me to test it on my ACA620 setup!

note ~0005954

StingRay (developer)

Just download the new patch and test it, if there are still problems with the disk change let me know.

note ~0005955

Retroplay (reporter)

FYI disk 2 in Killergorillas old preinstalled package is broken and fails with this new slave.
I've tested the slave with good disk images and found no problems, thanks Sting.

note ~0005957

StingRay (developer)

My pleasure. It was a lot of work but worth it. :)
+Notes

-Issue History
Date Modified Username Field Change
2014-09-29 20:20 administrator New Issue
2014-09-29 20:20 administrator Status new => assigned
2014-09-29 20:20 administrator Assigned To => Blackwine
2014-09-29 23:15 StingRay Note Added: 0004082
2014-09-29 23:15 StingRay Assigned To Blackwine => StingRay
2014-09-30 13:24 Blackwine Note Added: 0004084
2017-11-24 13:57 StingRay Relationship added has duplicate 0003734
2017-12-20 20:54 StingRay Status assigned => resolved
2017-12-20 20:54 StingRay Resolution open => fixed
2017-12-20 20:59 Akira Note Added: 0005951
2017-12-20 21:02 StingRay Note Added: 0005952
2017-12-20 21:04 Akira Note Added: 0005953
2017-12-20 21:11 StingRay Note Added: 0005954
2017-12-20 23:18 Retroplay Note Added: 0005955
2017-12-20 23:36 StingRay Note Added: 0005957
+Issue History